db4o |

# ExtObjectContainer.PeekPersisted Method

returns a transient copy of a persistent object with all members set to the values that are currently stored to the database.

object PeekPersisted(
object _object,
int depth,
bool committed
);

#### Parameters

_object
  the object that is to be cloned
depth
  the member depth to which the object is to be instantiated
committed
  whether committed or set values are to be returned

#### Return Value

the object

#### Remarks

returns a transient copy of a persistent object with all members set to the values that are currently stored to the database.
The returned objects have no connection to the database.
With the

    committed

parameter it is possible to specify, whether the desired object should contain the committed values or the values that were set by the running transaction with com.db4o.ObjectContainer.Set .
A possible usecase for this feature:
An application might want to check all changes applied to an object by the running transaction.

#### See Also

ExtObjectContainer Interface | com.db4o.ext Namespace